# OgreSearchOps.h File Reference

`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdlib.h>`
`#include "OgrePlatform.h"`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <fnmatch.h>`

Go to the source code of this file.

## Classes

struct | _find_search_t
struct | _finddata_t

## Defines

#define | MAX_FIND_SEARCHES 10
#define | _A_NORMAL 0x00 /* Normalfile-Noread/writerestrictions */
#define | _A_RDONLY 0x01 /* Read only file */
#define | _A_HIDDEN 0x02 /* Hidden file */
#define | _A_SYSTEM 0x04 /* System file */
#define | _A_SUBDIR 0x10 /* Subdirectory */
#define | _A_ARCH 0x20 /* Archive file */

## Functions

long | _findfirst (const char *pattern, struct _finddata_t *data)
int | _findnext (long id, struct _finddata_t *data)
int | _findclose (long id)

## Define Documentation

#define _A_ARCH 0x20 /* Archive file */

| Definition at line 69 of file OgreSearchOps.h.

#define _A_HIDDEN 0x02 /* Hidden file */

| Definition at line 63 of file OgreSearchOps.h.

#define _A_NORMAL 0x00 /* Normalfile-Noread/writerestrictions */

| Definition at line 59 of file OgreSearchOps.h.

#define _A_RDONLY 0x01 /* Read only file */

| Definition at line 61 of file OgreSearchOps.h.

#define _A_SUBDIR 0x10 /* Subdirectory */

| Definition at line 67 of file OgreSearchOps.h.

#define _A_SYSTEM 0x04 /* System file */

| Definition at line 65 of file OgreSearchOps.h.

#define MAX_FIND_SEARCHES 10

| Definition at line 42 of file OgreSearchOps.h.

## Function Documentation

int _findclose | ( | long | id | ) |

long _findfirst | ( | const char * | pattern,
|  | struct _finddata_t * | data
| ) |

int _findnext | ( | long | id,
|  | struct _finddata_t * | data
| ) |

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:11 2005